<style lang="less">
@import '@/assets/css/vars.less';
.PersonCard {
    text-align: center;

    picture {
        display: block;
        width: 200px;
        height: 200px;
        border-radius: 50%;
        margin: 0 auto;
    }

    strong {
        display: block;
        margin: 1.75rem 0 0;
        font-size: 2rem;
        font-weight: 400;
        color: @color-darkblue;
    }

    p {
        margin: 1.5rem 1rem 0;
    }
}
</style>

<template>
<div class="PersonCard">
    <photo :src='`img/team/${person.photo}.png`'/>
    <strong>{{person.name}}</strong>
    <p>{{person.about}}</p>
</div>
</template>

<script lang="ts">
import {Vue, Options, Prop} from '@/vue';

export interface Person {
    name: string;
    about: string;
    photo: string;
}

@Options<ViewResortTeam>({})
export default class ViewResortTeam extends Vue {
    @Prop({required: true}) person!:Person;
}
</script>
